Subject: Re: [PATCH net-next v3 1/2] net: dsa: yt921x: Return early for failed MIB read

From: Simon Horman <[email-masked]>
Date: Tue, 3 Mar 2026 11:34:56 +0000

On Fri, Feb 27, 2026 at 09:50:53PM +0800, David Yang wrote:
> This is a prerequisite for another patch. It does not change the
> behavior on the success path.

I think that you need to discuss what change this introduces
on the error path. And the AI generated review did too.

Looking a bit more, it seems that Jakub offered feedback on
this in his review of v1 [1]. I do see that the commit message
has been updated. And is strictly correct. But I think the intention
of Jakub's feedback was that the behaviour is changed should be described.

[1] https://lore.kernel.org/netdev/[email-masked]/

> 
> Signed-off-by: David Yang <[email-masked]>

-- 
pw-bot: changes-requested.